### Method

# EDataServerUI RemindersWidget report_error

since: 3.30

#### Declaration [src]

    void
    e_reminders_widget_report_error (
      ERemindersWidget* reminders,
      const gchar* prefix,
      const GError* error
    )

#### Description [src]

Shows a warning in the GUI with the `error` message, optionally prefixed with `prefix`. When `error` is `NULL`, an “Unknown error” message is shown instead.

Available since: 3.30

#### Parameters

`prefix`

  Type: `const gchar*`

  An optional prefix to show before the error message, or `NULL` for none.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError`

  A `GError` to show the message from in the UI, or `NULL` for unknown error.

  The argument can be `NULL`.
  The data is owned by the caller of the method.